#Bei Einhabe des Strings "Decker" liefert die Funktion 3
#Bei Eingabe eines leeren Strings soll 0 ausgegeben werden
#Bei Eingabe des Strings "Hallo" ohne E und D soll 0 ausgegeben werden

from abc import ABC,abstractmethod
import unittest

class ICounter (ABC):
    @abstractmethod
    def count_ED(self,s):
        pass

class Counter (ICounter):
    #def count_ED(self,s):
    #return s.count("e")+s.count("D")
    pass

class TestCounter (unittest.TestCase):
    def test_count_ED_regular (self):
        c=Counter()
        res=c.count_ED ("Decker")
        self.assertEqual(res,3)
    def test_count_ED_empty (self):
        c=Counter()
        res=c.count_ED ("")
        self.assertEqual(res,0)
    def test_count_ED_wo (self):
        '''Testet einen String ohne E und D'''
        c=Counter()
        res=c.count_ED ("Hallo")
        self.assertEqual(res,0)
    

if __name__=="__main__":
    unittest.main()
